MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024062Open CASCADE[OCCT] OCCT:Documentationpublic2013-07-11 10:542013-12-19 13:56
Reportervro 
Assigned Tovro 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024062: A mistake in Geom_OffsetCurve.cdl about direction of offset
DescriptionIn Geom_OffsetCurve.cdl it is written the following:

-- The Offset curve is in the direction of of the normal N
-- defined with the cross product V^T where the vector T
-- is given by the first derivative on the basis curve with
-- non zero length.

The cross product V^T is the mistake. It should be T^V (everywhere in the file it is correct, the mistake (just a misprint, I suppose) is only in this line).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0025019)
vro (developer)
2013-07-11 11:04

Dear Szv,
Could you review the modification? It is located at CR24062.
Vro
(0025030)
szv (manager)
2013-07-11 16:15

Reviewed with no comments. No testing is required, so please rise.
(0025032)
apn (administrator)
2013-07-11 16:31
edited on: 2013-07-11 16:53

Tested. CR24062 will be integrated to master.


- Related Changesets
occt: master 9733d9b3
Timestamp: 2013-07-12 08:41:15
Author: vro
Details ] Diff ]
0024062: A mistake in Geom_OffsetCurve.cdl about direction of offset

A misprint in document is corrected.
mod - src/Geom/Geom_OffsetCurve.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-11 10:54 vro New Issue
2013-07-11 10:54 vro Assigned To => vro
2013-07-11 11:04 vro Note Added: 0025019
2013-07-11 11:04 vro Assigned To vro => szv
2013-07-11 11:04 vro Status new => resolved
2013-07-11 16:15 szv Note Added: 0025030
2013-07-11 16:15 szv Assigned To szv => bugmaster
2013-07-11 16:15 szv Status resolved => reviewed
2013-07-11 16:31 apn Note Added: 0025032
2013-07-11 16:31 apn Test case number => Not needed
2013-07-11 16:31 apn Status reviewed => tested
2013-07-11 16:53 apn Note Edited: 0025032 View Revisions
2013-07-12 18:08 vro Changeset attached => occt master 9733d9b3
2013-07-12 18:08 vro Assigned To bugmaster => vro
2013-07-12 18:08 vro Status tested => verified
2013-07-12 18:08 vro Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker